package com.iamberry.wechat.service.mapper;

import java.util.List;

import com.iamberry.wechat.core.entity.order.ProbationOrder;

public interface AdminProbationOrderMapper {

	/**
	 * 查询试用订单详细信息
	 * @param probationOrder
	 * @return
	 */
	public ProbationOrder  getProbationOrderByOrderId(ProbationOrder probationOrder);
	
	/**
	 * 根据原状态和订单id修改该订单状态
	 * @param probationOrder
	 * @return
	 */
	public Integer updateProbationOrderStatus(ProbationOrder probationOrder);
	
	/**
	 * 分页查询试用订单列表
	 * @param probationOrder
	 * @return
	 */
	public List<ProbationOrder> selectProbationList(ProbationOrder probationOrder);
	
	/**
	 * 查询试用订单列表总数
	 * @param probationOrder
	 * @return
	 */
	public Integer selectProbationCount(ProbationOrder probationOrder);
	
	/**
	 * 修改订单的备注信息
	 * @param probationOrder
	 * @return
	 */
	public Integer updateAdminRemark(ProbationOrder probationOrder);
	
	/**
	 * 修改派送员信息
	 * @param probationOrder
	 * @return
	 */
	public Integer updateSendName(ProbationOrder probationOrder);
	
	/**
	 * 修改试用结束时间
	 * @param probationOrder
	 * @return
	 */
	public Integer updateProbationEndTime(ProbationOrder probationOrder);
	
	/**
	 * 修改订单备注
	 * @param probationOrder
	 * @return
	 */
	public Integer updateUserRemark(ProbationOrder probationOrder);
	
	/**
	 * 修改暂停开始时间
	 * @param probationOrder
	 * @return
	 */
	public Integer updatePauseStartTime(ProbationOrder probationOrder);
	
	/**
	 * 修改派送货物时间
	 * @param probationOrder
	 * @return
	 */
	public Integer updateSendDate(ProbationOrder probationOrder);
	
	/**
	 * 修改暂停后的试用时间
	 * @param probationOrder
	 * @return
	 */
	public Integer updatePauseEndTime(ProbationOrder probationOrder);
}
